Browse Source

Remove magit

Getting too complicated to install
Bob Mottram 1 month ago
parent
commit
a351327fea
5 changed files with 53 additions and 71 deletions
  1. 0 18
      README.md
  2. 7 7
      emacs
  3. 31 31
      emacs-setup.sh
  4. 3 3
      emacs.d/init/init.org
  5. 12 12
      update.sh

+ 0 - 18
README.md

@@ -9,7 +9,6 @@ This emacs configuration is based upon the one made by [Sacha Chua](https://gith
  * Microblogging with GNU Social
  * Fancy org-mode customisation with support for bash code blocks
  * Support for Markdown and Rust
- * Magit - an easy git interface
  * Weather reports with wttrin
  * expand-region selection with C-=
 
@@ -31,23 +30,6 @@ Select *t* to create a task
 
 *M-x* followed by *clear-done-tasks*
 
-## Magit
-
-*M-x magit-log*
-
-    | l l | Refresh          |
-    | c c | Commit           |
-    | C-c | Confirm commit   |
-    | b c | switch branch    |
-    | P p | Push             |
-    | C-g | Abort            |
-    | d d | Show diff        |
-    | q   | Exit from screen |
-
-To view the commit history for the current file:
-
-*M-x magit-log-buffer-file*
-
 ## Calendar
 
 *C-c a a* to switch to your agenda, then *M-c* to show the calendar view.

+ 7 - 7
emacs

@@ -23,8 +23,8 @@
 (add-to-list 'load-path "~/elisp/ox-html")
 (add-to-list 'load-path "~/elisp/htmlize")
 (add-to-list 'load-path "~/elisp/expand-region")
-(add-to-list 'load-path "~/elisp/magit/lisp")
-(add-to-list 'load-path "~/elisp/magit-popup")
+;;(add-to-list 'load-path "~/elisp/magit/lisp")
+;;(add-to-list 'load-path "~/elisp/magit-popup")
 (add-to-list 'load-path "~/elisp/with-editor")
 (add-to-list 'load-path "~/elisp/git-modes")
 (add-to-list 'load-path "~/elisp/inf-ruby")
@@ -103,11 +103,11 @@
 (require 'metaweblog)
 (require 'ox-html)
 (require 'htmlize)
-(require 'magit)
+;;(require 'magit)
 (require 'with-editor)
-(eval-after-load 'info
-  '(progn (info-initialize)
-          (add-to-list 'Info-directory-list "~/elisp/magit/lisp")))
+;;(eval-after-load 'info
+;;  '(progn (info-initialize)
+;;          (add-to-list 'Info-directory-list "~/elisp/magit/lisp")))
 (require 'inf-ruby)
 (require 'smartparens)
 (require 'dash)
@@ -122,7 +122,7 @@
 (require 'rainbow-delimiters)
 (require 'golden-ratio)
 (require 'aggressive-indent)
-(require 'magit-popup)
+;;(require 'magit-popup)
 (require 'miniedit)
 (require 'php-mode)
 (require 'js2-mode)

+ 31 - 31
emacs-setup.sh

@@ -249,39 +249,39 @@ install_el xml-rpc https://github.com/manzyuk/xml-rpc
 install_el metaweblog https://github.com/punchagan/metaweblog
 install_el expand-region https://github.com/magnars/expand-region.el
 install_el dash https://github.com/magnars/dash.el
-install_el with-editor https://github.com/magit/with-editor lisp
-install_el git-modes https://github.com/magit/git-modes all
-install_el magit-popup https://github.com/magit/magit-popup lisp
+#install_el with-editor https://github.com/magit/with-editor lisp
+#install_el git-modes https://github.com/magit/git-modes all
+#install_el magit-popup https://github.com/magit/magit-popup lisp
 install_el graphql https://github.com/vermiculus/graphql.el
 install_el treepy https://github.com/volrath/treepy.el
-install_el magit-ghub https://github.com/magit/ghub lisp
-
-if ! grep -Fxq "magit" "$INSTALL_FILE"; then
-    rm -rf ~/elisp/magit
-    mkdir ~/elisp/magit
-    if ! git clone https://github.com/magit/magit ~/elisp/magit; then
-        echo 'Error cloning magit'
-        exit 27859
-    fi
-    if [ ! -d ~/elisp/magit ]; then
-        exit 4637567392
-    fi
-    cd ~/elisp/magit || exit 346835683
-    cp ~/elisp/magit-ghub/*.el ~/elisp/magit/lisp
-    cp ~/elisp/magit-ghub/*.elc ~/elisp/magit/lisp
-    cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
-    cp ~/elisp/with-editor/*.elc ~/elisp/magit/lisp
-    cp ~/elisp/graphql/*.el ~/elisp/magit/lisp
-    cp ~/elisp/graphql/*.elc ~/elisp/magit/lisp
-    cp ~/elisp/treepy/*.el ~/elisp/magit/lisp
-    cp ~/elisp/treepy/*.elc ~/elisp/magit/lisp
-    EFLAGS="-L ~/elisp/git-modes" make lisp docs
-    if ! make lisp; then
-        echo 'Unable to make magit'
-        exit 67246524
-    fi
-    echo "magit" >> "$INSTALL_FILE"
-fi
+#install_el magit-ghub https://github.com/magit/ghub lisp
+
+#if ! grep -Fxq "magit" "$INSTALL_FILE"; then
+#    rm -rf ~/elisp/magit
+#    mkdir ~/elisp/magit
+#    if ! git clone https://github.com/magit/magit ~/elisp/magit; then
+#        echo 'Error cloning magit'
+#        exit 27
+#    fi
+#    if [ ! -d ~/elisp/magit ]; then
+#        exit 46
+#    fi
+#    cd ~/elisp/magit || exit 34
+#    cp ~/elisp/magit-ghub/*.el ~/elisp/magit/lisp
+#    cp ~/elisp/magit-ghub/*.elc ~/elisp/magit/lisp
+#    cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
+#    cp ~/elisp/with-editor/*.elc ~/elisp/magit/lisp
+#    cp ~/elisp/graphql/*.el ~/elisp/magit/lisp
+#    cp ~/elisp/graphql/*.elc ~/elisp/magit/lisp
+#    cp ~/elisp/treepy/*.el ~/elisp/magit/lisp
+#    cp ~/elisp/treepy/*.elc ~/elisp/magit/lisp
+#    EFLAGS="-L ~/elisp/git-modes" make lisp docs
+#    if ! make lisp; then
+#        echo 'Unable to make magit'
+#        exit 67
+#    fi
+#    echo "magit" >> "$INSTALL_FILE"
+#fi
 
 install_el inf-ruby https://github.com/nonsequitur/inf-ruby
 install_el smartparens https://github.com/Fuco1/smartparens

+ 3 - 3
emacs.d/init/init.org

@@ -164,7 +164,7 @@ much the only time I shut down is when I need to update the system.
 (auto-complete-mode t)
 #+end_src
 *** Font
-#+begin_src emacs-lisp
+#+begin_src emacs-lisp :tangle no
 (set-default-font “Noto Sans Mono 24”)
 #+end_src
 *** Backups
@@ -2896,7 +2896,7 @@ I sometimes need to know where I am in a line.
 
 Search the commit log:
 
-#+begin_src emacs-lisp
+#+begin_src emacs-lisp :tangle no
 ;;; search commit log by anything
 (defvar anything-c-source-log-edit-comment
   '((name . "Log-edit Comment")
@@ -2922,7 +2922,7 @@ Search the commit log:
 ;;(define-key magit-log (kbd "C-s") 'anything-show-log-edit-comment)
 #+end_src
 
-#+begin_src emacs-lisp
+#+begin_src emacs-lisp :tangle no
 (setq magit-auto-revert-mode nil)
 (setq magit-last-seen-setup-instructions "1.4.0")
 (defun bashrc/magit-commit-all ()

+ 12 - 12
update.sh

@@ -5,16 +5,16 @@ export PATH="$HOME/.cask/bin:$PATH"
 
 for d in $DIRS
 do
-    cd $d
+    cd "$d" || exit 24
     echo "$d"
-    if [ -d $d/.git ]; then
+    if [ -d "$d/.git" ]; then
         git pull
-        if [ -f $d/Makefile ]; then
-            if [[ "%d" != *"/magit" ]]; then
+        if [ -f "$d/Makefile" ]; then
+            if [[ "$d" != *"/magit" ]]; then
                 echo ''
                 echo "**** $d ****"
                 echo ''
-                rm *.elc
+                rm "*.elc"
                 make
                 sudo make install
             fi
@@ -25,22 +25,22 @@ do
         echo ''
         echo "**** $d ****"
         echo ''
-        cd org
+        cd org || exit 73
         git pull
-        rm *.elc
+        rm "*.elc"
         make
         sudo make install
         cd ..
-        cd helm
+        cd helm || exit 25
         git pull
         make
     fi
 done
 
 # Special compiles
-cd ~/elisp/magit
-cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
-EFLAGS="-L ~/elisp/git-modes" make lisp docs
-make lisp docs
+#cd ~/elisp/magit || exit 92
+#cp ~/elisp/with-editor/*.el ~/elisp/magit/lisp
+#EFLAGS="-L ~/elisp/git-modes" make lisp docs
+#make lisp docs
 
 exit 0